# blobs.upload

> PUT https://app.intraface.cc/api/v1/blobs/{sha256}

No authentication.

**Auth:** None.

## Path parameters

- `sha256` (string, required)

## Query parameters

- `size` (integer, required)
- `type` (string, required)
- `exp` (integer, required)
- `u` (string, required)
- `sig` (string, required)

## Request body (application/octet-stream)

```json
{
  "type": "string",
  "format": "binary"
}
```

## Responses

### 201: Success.

application/json:

```json
{
  "type": "object",
  "properties": {
    "sha256": {
      "type": "string",
      "pattern": "^[a-f0-9]{64}$"
    },
    "size": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    }
  },
  "required": [
    "sha256",
    "size"
  ]
}
```

### default

Any other error, in the shared envelope `{ error: { code, message, hint?, details? } }`.
